package com.logntw.eva.spring.obj;

public class ServiceB implements IGreetingService 
{
	private final String greeting;
	
	public ServiceB()
	{
		this("default");
	}
	
	private ServiceB(String greeting)
	{
		this.greeting = "ServiceBEx:"+greeting;
	}	
	
	public String sayGreeting()
	{
		return greeting;
	}
	
	public static ServiceB getInstance(String greeting)
	{
		return new ServiceB(greeting);
	}
}
